Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Class ARQ

    java.lang.Object
      com.hp.hpl.jena.query.ARQ

    public class ARQ

extends java.lang.Object

ARQ - miscellaneous settings

Author:
  Andy Seaborne

Field Summary
`static java.lang.String` | `arqIRI` IRI for ARQ
`static java.lang.String` | `arqNS` Root of ARQ-defined parameter names
`static java.lang.String` | `BUILD_DATE` The date and time at which this release was built
`static com.hp.hpl.jena.sparql.util.Symbol` | `constantBNodeLabels` Controls bNode labels as <_:...
`static com.hp.hpl.jena.sparql.util.Symbol` | `enablePropertyFunctions` Enable built-in property functions - also called "magic properties".
`static com.hp.hpl.jena.sparql.util.Symbol` | `enableRomanNumerals` Context symbol controlling Roman Numerals in Filters.
`static com.hp.hpl.jena.sparql.util.Symbol` | `extensionValueTypes` Expression evaluation without extension types (e.g. xsd:date, language tags)
`static com.hp.hpl.jena.sparql.util.Symbol` | `filterPlacement` Context key controlling whether the main query engine moves filters to the "best" place.
`static com.hp.hpl.jena.sparql.util.Symbol` | `generateToList` Generate the ToList operation in the algebra (as ARQ is stream based, ToList is a non-op).
`static com.hp.hpl.jena.sparql.util.Symbol` | `hideNonDistiguishedVariables` Context key to control hiding non-distinuished variables
`static com.hp.hpl.jena.sparql.util.Symbol` | `inputGraphBNodeLabels` If true, XML result sets will use the bNode label in the result set itself.
`static com.hp.hpl.jena.sparql.util.Symbol` | `javaRegex` Symbol to name java.util.regex regular expression engine
`static java.lang.String` | `MAJOR_VERSION` The major version number for this release of ARQ (ie '2' for ARQ 2.0)
`static java.lang.String` | `MINOR_VERSION` The minor version number for this release of ARQ (ie '0' for ARQ 2.0)
`static java.lang.String` | `NAME` The product name
`static com.hp.hpl.jena.sparql.util.Symbol` | `outputGraphBNodeLabels` If true, XML result sets written will contain the graph bNode label See also inputGraphBNodeLabels
`static java.lang.String` | `PATH` The root package name for ARQ
`static com.hp.hpl.jena.sparql.util.Symbol` | `regexImpl` Determine which regular expression system to use.
`static com.hp.hpl.jena.sparql.util.Symbol` | `stageGenerator` Context key for StageBuilder used in BGP compilation
`static com.hp.hpl.jena.sparql.util.Symbol` | `strictGraph` Use a simple (and non-scalable) graph implementation that does no value testing.
`static com.hp.hpl.jena.sparql.util.Symbol` | `strictSPARQL` Stick exactly to the spec.
`static com.hp.hpl.jena.sparql.util.Symbol` | `useSAX` Use the SAX parser for XML result sets.
`static java.lang.String` | `VERSION` The full name of the current ARQ version
`static java.lang.String` | `VERSION_STATUS` The version status for this release of ARQ (eg '-beta1' or the empty string)
`static java.lang.String` | `WEBSITE` The ARQ web site : see also http://jena.sourceforge.net
`static com.hp.hpl.jena.sparql.util.Symbol` | `xercesRegex` Symbol to name the Xerces-J regular expression engine

Constructor Summary
`ARQ()`

Method Summary
`static void` | `enableBlankNodeResultLabels()` Turn on processing of blank node labels in queries
`static void` | `enableBlankNodeResultLabels(boolean val)` Turn on/off processing of blank node labels in queries
`static com.hp.hpl.jena.sparql.util.Context` | `getContext()`
`static void` | `init()` Ensure things have started - applications do not need call this.
`static boolean` | `isFalse(com.hp.hpl.jena.sparql.util.Symbol symbol)`
`static boolean` | `isFalseOrUndef(com.hp.hpl.jena.sparql.util.Symbol symbol)`
`static boolean` | `isTrue(com.hp.hpl.jena.sparql.util.Symbol symbol)`
`static boolean` | `isTrueOrUndef(com.hp.hpl.jena.sparql.util.Symbol symbol)`
`static void` | `set(com.hp.hpl.jena.sparql.util.Symbol symbol, boolean value)`
`static void` | `setFalse(com.hp.hpl.jena.sparql.util.Symbol symbol)`
`static void` | `setNormalMode()`
`static void` | `setNormalMode(com.hp.hpl.jena.sparql.util.Context context)`
`static void` | `setStrictMode()` Set global strict mode
`static void` | `setStrictMode(com.hp.hpl.jena.sparql.util.Context context)` Set strict mode for a given Context
`static void` | `setTrue(com.hp.hpl.jena.sparql.util.Symbol symbol)`
`static void` | `unset(com.hp.hpl.jena.sparql.util.Symbol symbol)`
`static void` | `whenRequiredByAssembler(com.hp.hpl.jena.assembler.assemblers.AssemblerGroup g)` Used by Jena assemblers for registration

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arqIRI

    public static final java.lang.String arqIRI

  IRI for ARQ

  See Also:
    Constant Field Values

### arqNS

    public static final java.lang.String arqNS

  Root of ARQ-defined parameter names

  See Also:
    Constant Field Values

### strictSPARQL

    public static final com.hp.hpl.jena.sparql.util.Symbol strictSPARQL

  Stick exactly to the spec.

### constantBNodeLabels

    public static final com.hp.hpl.jena.sparql.util.Symbol constantBNodeLabels

  Controls bNode labels as <_:...> or not - that is a pseudo URIs. This does not affect [] or _:a bNodes a variables in queries.

### enablePropertyFunctions

    public static final com.hp.hpl.jena.sparql.util.Symbol enablePropertyFunctions

  Enable built-in property functions - also called "magic properties". These are properties in triple patterns that need calculation, not matching. See ARQ documentation for more details. rdfs:member and http://jena.hpl.hp.com/ARQ/list#member are provided.

### outputGraphBNodeLabels

    public static final com.hp.hpl.jena.sparql.util.Symbol outputGraphBNodeLabels

  If true, XML result sets written will contain the graph bNode label See also inputGraphBNodeLabels

### inputGraphBNodeLabels

    public static final com.hp.hpl.jena.sparql.util.Symbol inputGraphBNodeLabels

  If true, XML result sets will use the bNode label in the result set itself. See also outputGraphBNodeLabels

### enableRomanNumerals

    public static final com.hp.hpl.jena.sparql.util.Symbol enableRomanNumerals

  Context symbol controlling Roman Numerals in Filters. This is on a global basis - it can't be set per-query or per-query-execution basis.

### stageGenerator

    public static final com.hp.hpl.jena.sparql.util.Symbol stageGenerator

  Context key for StageBuilder used in BGP compilation

### hideNonDistiguishedVariables

    public static final com.hp.hpl.jena.sparql.util.Symbol hideNonDistiguishedVariables

  Context key to control hiding non-distinuished variables

### useSAX

    public static final com.hp.hpl.jena.sparql.util.Symbol useSAX

  Use the SAX parser for XML result sets. The default is to use StAX for full streaming of XML results. The SAX parser takes a copy of the result set before giving the ResultSet to the calling application.

### regexImpl

    public static final com.hp.hpl.jena.sparql.util.Symbol regexImpl

  Determine which regular expression system to use. The value of this context entry should be a string or symbol of one of the following: javaRegex : use java.util.regex (support features outside the strict SPARQL regex language) xercesRegex : use the internal XPath regex engine (more compliant)

### javaRegex

    public static final com.hp.hpl.jena.sparql.util.Symbol javaRegex

  Symbol to name java.util.regex regular expression engine

### xercesRegex

    public static final com.hp.hpl.jena.sparql.util.Symbol xercesRegex

  Symbol to name the Xerces-J regular expression engine

### filterPlacement

    public static final com.hp.hpl.jena.sparql.util.Symbol filterPlacement

  Context key controlling whether the main query engine moves filters to the "best" place. Default is "true" - filte rplacement is done.

### strictGraph

    public static final com.hp.hpl.jena.sparql.util.Symbol strictGraph

  Use a simple (and non-scalable) graph implementation that does no value testing. Needed for DAWG tests where matching is exact and results compared by graph-equivalence.

### extensionValueTypes

    public static final com.hp.hpl.jena.sparql.util.Symbol extensionValueTypes

  Expression evaluation without extension types (e.g. xsd:date, language tags)

### generateToList

    public static final com.hp.hpl.jena.sparql.util.Symbol generateToList

  Generate the ToList operation in the algebra (as ARQ is stream based, ToList is a non-op). Default is not to do so. Strict mode will also enable this.

### PATH

    public static final java.lang.String PATH

  The root package name for ARQ

  See Also:
    Constant Field Values

### NAME

    public static final java.lang.String NAME

  The product name

  See Also:
    Constant Field Values

### WEBSITE

    public static final java.lang.String WEBSITE

  The ARQ web site : see also http://jena.sourceforge.net

  See Also:
    Constant Field Values

### VERSION

    public static final java.lang.String VERSION

  The full name of the current ARQ version

  See Also:
    Constant Field Values

### MAJOR_VERSION

    public static final java.lang.String MAJOR_VERSION

  The major version number for this release of ARQ (ie '2' for ARQ 2.0)

  See Also:
    Constant Field Values

### MINOR_VERSION

    public static final java.lang.String MINOR_VERSION

  The minor version number for this release of ARQ (ie '0' for ARQ 2.0)

  See Also:
    Constant Field Values

### VERSION_STATUS

    public static final java.lang.String VERSION_STATUS

  The version status for this release of ARQ (eg '-beta1' or the empty string)

  See Also:
    Constant Field Values

### BUILD_DATE

    public static final java.lang.String BUILD_DATE

  The date and time at which this release was built

  See Also:
    Constant Field Values

Constructor Detail

### ARQ

    public ARQ()

Method Detail

### enableBlankNodeResultLabels

    public static void enableBlankNodeResultLabels()

  Turn on processing of blank node labels in queries

### enableBlankNodeResultLabels

    public static void enableBlankNodeResultLabels(boolean val)

  Turn on/off processing of blank node labels in queries

### setStrictMode

    public static void setStrictMode()

  Set global strict mode

### setStrictMode

    public static void setStrictMode(com.hp.hpl.jena.sparql.util.Context context)

  Set strict mode for a given Context

### setNormalMode

    public static void setNormalMode()

### setNormalMode

    public static void setNormalMode(com.hp.hpl.jena.sparql.util.Context context)

### init

    public static void init()

  Ensure things have started - applications do not need call this. The method is public so any part of ARQ can call it.

### whenRequiredByAssembler

    public static void whenRequiredByAssembler(com.hp.hpl.jena.assembler.assemblers.AssemblerGroup g)

  Used by Jena assemblers for registration

### getContext

    public static com.hp.hpl.jena.sparql.util.Context getContext()

### set

    public static void set(com.hp.hpl.jena.sparql.util.Symbol symbol,
                           boolean value)

### setTrue

    public static void setTrue(com.hp.hpl.jena.sparql.util.Symbol symbol)

### setFalse

    public static void setFalse(com.hp.hpl.jena.sparql.util.Symbol symbol)

### unset

    public static void unset(com.hp.hpl.jena.sparql.util.Symbol symbol)

### isTrue

    public static boolean isTrue(com.hp.hpl.jena.sparql.util.Symbol symbol)

### isFalse

    public static boolean isFalse(com.hp.hpl.jena.sparql.util.Symbol symbol)

### isTrueOrUndef

    public static boolean isTrueOrUndef(com.hp.hpl.jena.sparql.util.Symbol symbol)

### isFalseOrUndef

    public static boolean isFalseOrUndef(com.hp.hpl.jena.sparql.util.Symbol symbol)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP